View Issue Details

IDProjectCategoryView StatusLast Update
0002599PluginsNetBoxpublic2014-02-25 11:06
Reporterajax16384Assigned Tomichael.lukashov 
PrioritynormalSeverityminorReproducibilityalways
Status closedResolutionfixed 
Platformx64OSWindowsOS Version8
Product Version3.0 
Target VersionFixed in Version3.0 
Summary0002599: прерывание долгой операции приводит к падению плагина
Description3.0 (build 3800) x86

отмена долгой операции приводит к последующему падению NetBox плагина
Steps To Reproduce1)зайти через SFTP на ресурс с множеством файлов (e.g. > 1000)
Starting the session...
Reading remote directory...

2)не дожидаясь отображения всего списка файлов прервать операцию нажав ESC. Должен появится диалог FAR: Warning:Operation not completed.

3)заново открываем открываем ресурс через NetBox плагин:
Exception: Access violation (read from 0x00200078)
Address: 0x536CB602
Function: ClosePanelW
Module: Far\Plugins\NetBox\NetBox.dll
TagsNo tags attached.

Activities

michael.lukashov

2014-02-16 07:42

developer   bugnote:0011835

Исправлено в сегодняшней ночной сборке Far.

michael.lukashov

2014-02-25 11:06

developer   bugnote:0011854

Так как топикстартер молчит, багу закрываю.

Issue History

Date Modified Username Field Change
2014-02-14 11:47 ajax16384 New Issue
2014-02-16 07:42 michael.lukashov Note Added: 0011835
2014-02-25 11:06 michael.lukashov Note Added: 0011854
2014-02-25 11:06 michael.lukashov Status new => closed
2014-02-25 11:06 michael.lukashov Assigned To => michael.lukashov
2014-02-25 11:06 michael.lukashov Resolution open => fixed
2014-02-25 11:06 michael.lukashov Fixed in Version => 3.0